Rings: default ctor & assignment

28 Sep 2012 17:52 - John Abbott

Status: Closed Start date: 28 Sep 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Various Estimated time: 0.00 hour

Target version: CoCoALib-0.9952 Spent time: 1.25 hour

Description

JAA proposes we add:

default ctor for ring  (value is RingZZ())

assignment of rings

The second is certainly needed for the proposed changes to RingElem (see #221)

Now that we have a unique copy of RingZZ() we can use it in the default ctor.

Related issues:

Related to CoCoALib - Feature #221: Better RingElems Closed 08 Aug 2012

Related to CoCoALib - Bug #864: Assignment of rings (esp. derived rings such ... Closed 06 Apr 2016

History

#1 - 28 Sep 2012 18:27 - Anna Maria Bigatti

OK! As I said for #221

#2 - 01 Oct 2012 10:15 - John Abbott

To enable assignment for ring I must enable assignment for SmartPtrIRC.  I wonder what consequences that will have...  Oh dear!

#3 - 01 Oct 2012 14:05 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 40

A simple test example showed that assignment of rings was already working.  A visual check of the source for SmartPtrIRC confirmed that

assignment is already activated (despite the comment to the contrary).

I'll update the documentation (which says nothing at all about assignment).

#4 - 02 Oct 2012 10:31 - John Abbott

- % Done changed from 40 to 50

I have improved the doc for ring (adding assignment and equality tests).

I have also confirmed that the current CVS image does indeed allow assignment of rings.

#5 - 18 Feb 2013 13:03 - John Abbott

- Category set to Various

- Status changed from In Progress to Closed

- Assignee set to John Abbott
- Target version set to CoCoALib-0.9952

- % Done changed from 50 to 100

Since no problems have surfaced in the last 4 months, I'm closing this issue.  The code and doc appear to be correctly updated.

#6 - 07 Apr 2016 16:29 - John Abbott

- Related to Bug #864: Assignment of rings (esp. derived rings such as PolyRing) added
